http:
  routers:
    api:
      rule: Host(`traefik.pvs.prism.eox.at`)
      entrypoints:
        - https
      service: api@internal
      middlewares:
        - apiauth
      tls:
        certResolver: default
  middlewares:
    apiauth:
      basicAuth:
        realm: "PRISM View Server (PVS)"
        users:
          - "***REMOVED***"
    auth:
      basicAuth:
        realm: "PRISM View Server (PVS)"
        users:
          - "***REMOVED***"
    shibAuth:
      forwardAuth:
        address: http://shibauth/secure
        trustForwardHeader: true
    compress:
      compress: {}
    redirect:
      redirectScheme:
        scheme: https
    cors:
      headers:
        accessControlAllowMethods:
          - GET
          - OPTIONS
          - POST
        accessControlAllowOrigin: "origin-list-or-null"
        accessControlMaxAge: 7200
        addVaryHeader: false
